View Repository Forks
GET/api/v5/repos/:owner/:repo/forks
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
sort string
Sort by: fork time (newest, oldest), stars count (stargazers)
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
created_after string
Created after this
created_before string
Created before this
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idinteger
full_namestring
human_namestring
urlstring
namespace object
idinteger
typestring
namestring
pathstring
html_urlstring
descriptionstring
statusstring
created_atstring
updated_atstring
owner object
idinteger
loginstring
namestring
pushed_atstring
parent object
idinteger
full_namestring
human_namestring
urlstring
namespace object
idinteger
typestring
namestring
pathstring
html_urlstring
privateinteger
publicinteger
[
{
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"html_url": "string"
},
"description": "string",
"status": "string",
"created_at": "string",
"updated_at": "string",
"owner": {
"id": 0,
"login": "string",
"name": "string"
},
"pushed_at": "string",
"parent": {
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"html_url": "string"
}
},
"private": 0,
"public": 0
}
]
{
"id": 567682,
"full_name": "wangwt/RuoYi",
"human_name": "wangwt / RuoYi",
"url": "https://api.gitcode.com/api/v5/repos/wangwt/RuoYi",
"namespace": {
"id": 153748,
"type": "personal",
"name": "wangwt",
"path": "wangwt",
"html_url": "https://test.gitcode.net/wangwt"
},
"description": "",
"status": "",
"created_at": "2024-07-29T15:42:45.149+08:00",
"updated_at": "2024-07-29T15:42:45.149+08:00",
"owner": {
"id": 970,
"login": "wangwt",
"name": "wangwt"
},
"pushed_at": "2024-11-08T16:24:10.576+08:00",
"parent": {
"id": 517092,
"full_name": "xiaogang/RuoYi",
"human_name": "xiaogang / RuoYi",
"url": "https://api.gitcode.com/api/v5/repos/xiaogang/RuoYi",
"namespace": {
"id": 137117,
"type": "personal",
"name": "xiaogang",
"path": "xiaogang",
"html_url": "https://test.gitcode.net/xiaogang"
}
},
"private": false,
"public": true
}